Bug 831444 - [abrt] NetworkManager-gnome-0.9.4.0-9.git20120521.fc17: __GI_raise: Process /usr/bin/nm-connection-editor was killed by signal 6 (SIGABRT)
[abrt] NetworkManager-gnome-0.9.4.0-9.git20120521.fc17: __GI_raise: Process /...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gtk3 (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
abrt_hash:3d9c59e0fbf1d95a982ce49a92a...
:
: 832422 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-12 21:00 EDT by Jerry James
Modified: 2013-08-01 00:04 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 00:04:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (23.97 KB, text/plain)
2012-06-12 21:00 EDT, Jerry James
no flags Details
File: maps (60.38 KB, text/plain)
2012-06-12 21:00 EDT, Jerry James
no flags Details
File: dso_list (9.37 KB, text/plain)
2012-06-12 21:00 EDT, Jerry James
no flags Details

  None (edit)
Description Jerry James 2012-06-12 21:00:36 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        nm-connection-editor --create --type vpn
comment:        I am trying to create an OpenVPN connection.  I got the point where I need to select the file containing the user certificate.  The certificate my sysadmin gave me is named <my_email>.crt.  NetworkManager has a set of file extensions that it believes belong to certificates, and ".crt" is not among them.  Also, there is no option to look for "All files" or "All extensions"; nope, NetworkManager insists that I *must* use one of its blessed filename extensions.  So I rolled my eyes, hit the cancel button on the file dialog, switched to a terminal to change the name of the file, and while I was changing it, this crash happened.
crash_function: __GI_raise
executable:     /usr/bin/nm-connection-editor
kernel:         3.4.0-1.fc17.x86_64
pid:            3151
pwd:            /home/jamesjer
time:           Tue 12 Jun 2012 06:45:07 PM MDT
uid:            1000
username:       jamesjer
var_log_messages: Jun 12 18:45:08 eniac abrt[3300]: Saved core dump of pid 3151 (/usr/bin/nm-connection-editor) to /var/spool/abrt/ccpp-2012-06-12-18:45:07-3151 (65028096 bytes)

backtrace:      Text file, 24549 bytes
dso_list:       Text file, 9591 bytes
maps:           Text file, 61824 bytes

build_ids:
:9d49f2f604fdc7a787f63c16cc08353956f2fd41
:4c9c864a7c7b7ed702088955821d58137803462d
:a8efbe1d263ad42afae74bc027eee88eaa754f55
:fad2d57f73db1d2b51917a93ac42fb4e1308b141
:7716bc5c1738194dad6ec6679d05ae3782139288
:78a9521377bfe9abb74a7e2f8840898abf2cae9c
:1b7abd5c8129b91c0ca4f0f0812e61660236fd38
:e2f8ba3db2c86456528fe1f09829c62263d0fdee
:0113d34c6260f0ccd7b7994dc647fda4aff7e0d1
:3da0a1f9d1644044ca0e30aaf5c64687e559bf03
:350920b52e92655cdb258fa5f96fe7004ad07a52
:67792c148d2b8f13f6732c9367e926c26d7376c5
:63651cdc0224824a9c9324c77c3b5887378e871d
:c4ec0971b2dcee71aaf8374975474054245fea00
:e3354959e32e471066df83c93f98f33e75198697
:822e9b3523e8312240f41a25722d539bc77ed436
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65
:6e5d5649c704cd3a34cf145ccd2d08994f1e83ff
:d804f8ee47797da9213a92f00cd095ecada8d79f
:4b044fe80e4c1b69986abc4b160c303048005d4e
:130699b76d99d57ef46beeed9d693005f3c8917f
:8e4cc33666cf4865905d5e9f11b16d1cbb4cc4f2
:b6d75088f555d197be1476cb1c580640826ae029
:5b4f3d35b4612be98f2bbb635b3eabf0ee7e437d
:f1c5764c91642a33bec2d4ba5adbefc196cc8d60
:710b0d8cc36603d66327090defd37c99daa38f28
:0a688bf9160e6e3a2a8f41967f3c75094bca08a7
:87712be648d2d43ea4cd002fe7a859df636f1e13
:8d098f6bb781c1632177cd60d738076b83e0c0d3
:253afe744466fe7580bbb6040de6183dba9e2b02
:f64b7319b84d426ed547084bdb2577f4f596c18f
:cd6934c7ffdc10b4626f8a94336de83eb989545e
:42675a8ad8f70ff19362070510cdf1ba202a70db
:99c23b21038c62b0628b93610fb54c5900c40ffd
:3d60535f052babb998bae4807bc992c5d15df5c4
:396fda5abd0de2132396c4a3e94f7a7173bc26e7
:839c8e3a55bd7f61afdcfebeae52f9dadc3a69fb
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f
:ce246b3297de0d233ac2c5f9e50061e2b13a330c
:c2f5ae8bd64df0fc996cf96b95525a8f8fb28fd2
:80dcf30321dbc04511d9cbf399a83b8f3dc75d5d
:929d271f51370434d6e9f63b74694fb424470462
:071a5e34592b14bd2743522cd56c5b0c159dc53e
:271a2d91cc3308783ff4a7ab45049f31aa42d8b7
:0eeac854ab0b56d18d126ca7056136b4e63abed7
:234d4eb1aa690c38533ef82f517b390255d3bc4d
:b88318e2a213e27cb84d97933d55b4f960816989
:faca16f15d87b83d2947a386e319b02f724dcbb5
:f534feded388130df4a9e789eec1e38c320bc55b
:0e1267a4d81de05f053eeed7f2f61fb46cda9e7c
:a2d5b50b07df0fb9c52fcc682c6121d3e7276249
:31243d0d107bba586a96433c76c87a26db1e826c
:b8bfc491895389962d926fdc99cbfbac571f2cf0
:bb94bd9c0b1a45cca93521cb1678925753c56d0b
:404cbecd24d186758ed474b345313da28b2990fa
:3f0991d9a4679b6bdd8a78ab2d05ecf4cc995651
:1a0c09f270adf8398df4362ce0acfafc1f970982
:9dc7d977acebd2e8abf2d55bf2738ea2d89f7480
:7c35310fc506498c612d5d982ab03becc4b4817c
:7722a5e0f9e7ec3f49cc73af0d0d923aa90ce1ca
:8f7c190397d7c1f617e66f18f759714662b60367
:fc933672dd9b1d34fc2a74859dc7a57e40098d9f
:c61e487cc8906c4f1bd85b39a4d751b414e423a0
:aaa1236e690a9d2f230ade4b8d4387c22200ba9f
:fffb0e6dd2f8decf1f14d81c35f1ec36182ae915
:617e70e4105dfaa44b8d1f53b914e37eb5886ceb
:247132297f287226a24c12e683292f5c94013066
:6c08d8c9f6358200131cda5c9b563545d5c806ba
:8b33feb27b2125997520fdd21c90c42a65e438f1
:dec0de92024bee74c75c04bde4c54c097fe68ae8
:1008e875604982e48f9c759d83ab70ee4a398811
:5dd234206476b0387cd251598aa72a2c95c763c5
:b277af36744327e3d58eae76bcdaadcca71a28c6
:127f8958b602715234a02b88adb08afd9e34c203
:508cf66f72e70054a41215f80ed2385c6bb80030
:835ece100ae7d8bb3c7f990b52f28ecdeb74975e
:a553a7e9625a224a8f39286909adc17787ad51bd
:ad0818a36ea58b45bb6646a229105a54f86e25a0
:73777e822e00ca152ffca281ab0ace0cb498ec48
:37347c1c8e4efbf98acb510e94aff8ec0b173c4c
:ec87953f655fbcbcbe71b591db5451e56739576e
:4d09d82785dab5f95c01b69bc0785145a5954d30
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202
:c24fd7404668fdbb57aec685a0f63cdd8a289d29
:10db86ab9481dc0e2bd0f0c4c987e86a8a1d9a8b
:e3f83e6ed76d65ff9d0d4aa5fcc7bf0c6bfaaadd
:54a5cc118d928470da13565de8592b664a9868e0
:e6ed240fb757f3eabdddd1008032cd4a8d46cae3
:46eb8c83b266e03b4d2d37c5ac56accdee78c113
:a5cf7008c28585406297cf76ce11e2e554e5a7b4
:5bf8427ddeff24a2bd36962f68e6af6ffe14970f
:5350b5972464f66f404861dc50225a114a2a5e7e

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/jamesjer/2

core_backtrace:
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x35965 __GI_raise libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x37118 __GI_abort libc.so.6 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x68867 g_assertion_message libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x68d84 g_assertion_message_expr libglib-2.0.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x1cc5e6 - libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x283156 - libgtk-3.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x206d8 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x13c4ab - libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x13d010 - libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x13dc8e - libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x13dd10 - libgtk-3.so.0 -
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f 0x6ce77 g_simple_async_result_complete libgio-2.0.so.0 -
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f 0x6cef8 - libgio-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x476e5 g_main_context_dispatch libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47a18 - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47e12 g_main_loop_run libglib-2.0.so.0 -
:7722a5e0f9e7ec3f49cc73af0d0d923aa90ce1ca 0x111ef main [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=eniac.jamezone.org
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:QTDIR=/usr/lib64/qt-3.3
:QTINC=/usr/lib64/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=jamesjer
:USERNAME=jamesjer
:MAIL=/var/spool/mail/jamesjer
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/jamesjer/.local/bin:/home/jamesjer/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/jamesjer
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1444
:LANG=en_US.UTF-8
:MODULEPATH=/usr/share/Modules/modulefiles:/etc/modulefiles
:LOADEDMODULES=
:KDEDIRS=/usr
:GDMSESSION=gnome
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/jamesjer
:SHLVL=1
:LOGNAME=jamesjer
:QTLIB=/usr/lib64/qt-3.3/lib
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-Ilfjx0xt8C,guid=0cf838899a7620677122d4dc000000d0
:MODULESHOME=/usr/share/Modules
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/jamesjer
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-jamesjer-AfsvDy/database
:'module=() {  eval `/usr/bin/modulecmd bash $*`\n}'
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1449,unix/unix:/tmp/.ICE-unix/1449
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/gnome-network-panel.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=3131

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 63193                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       63193                63193                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:1:/home/jamesjer/.xsession-errors
:2:/home/jamesjer/.xsession-errors
:3:socket:[45907]
:4:anon_inode:[eventfd]
:5:socket:[50254]
:6:socket:[45908]
:7:socket:[47073]
:8:/dev/urandom
:9:anon_inode:inotify
:10:socket:[51258]
:11:anon_inode:[eventfd]
:12:socket:[47969]
:13:anon_inode:[eventfd]
:14:anon_inode:[eventfd]

xsession_errors:
:** (nm-connection-editor:3151): WARNING **: Invalid setting VPN: remote
:** (nm-connection-editor:3151): WARNING **: Invalid setting VPN: remote
:** (nm-connection-editor:3151): WARNING **: Invalid setting VPN: remote
:** (nm-connection-editor:3151): WARNING **: Invalid setting VPN: remote
:** (nm-connection-editor:3151): WARNING **: Invalid setting VPN: remote
:** (nm-connection-editor:3151): WARNING **: Invalid setting VPN: remote
:** (nm-connection-editor:3151): WARNING **: Invalid setting VPN: remote
:** (nm-connection-editor:3151): WARNING **: Invalid setting VPN: remote
:** (nm-connection-editor:3151): WARNING **: Invalid setting VPN: remote
:** (nm-connection-editor:3151): WARNING **: Invalid setting VPN: remote
:** (nm-connection-editor:3151): WARNING **: Invalid setting VPN: remote
:** (nm-connection-editor:3151): WARNING **: Invalid setting VPN: remote
:** (nm-connection-editor:3151): WARNING **: Invalid setting VPN: remote
:** (nm-connection-editor:3151): WARNING **: Invalid setting VPN: remote
:** (nm-connection-editor:3151): WARNING **: Invalid setting VPN: remote
:** (nm-connection-editor:3151): WARNING **: Invalid setting VPN: remote
:** (nm-connection-editor:3151): WARNING **: Invalid setting VPN: remote
:** (nm-connection-editor:3151): WARNING **: Invalid setting VPN: remote
:** (nm-connection-editor:3151): WARNING **: Invalid setting VPN: ca
:** (nm-connection-editor:3151): WARNING **: Invalid setting VPN: ca
:** (nm-connection-editor:3151): WARNING **: Invalid setting VPN: ca
:** (nm-connection-editor:3151): WARNING **: Invalid setting VPN: ca
:** (nm-connection-editor:3151): WARNING **: Invalid setting VPN: ca
:** (nm-connection-editor:3151): WARNING **: Invalid setting VPN: ca
:** (nm-connection-editor:3151): WARNING **: Invalid setting VPN: ca
:** (nm-connection-editor:3151): WARNING **: Invalid setting VPN: ca
:** (nm-connection-editor:3151): WARNING **: Invalid setting VPN: ca
:** (nm-connection-editor:3151): WARNING **: Invalid setting VPN: ca
:** (nm-connection-editor:3151): WARNING **: Invalid setting VPN: ca
:** (nm-connection-editor:3151): WARNING **: Invalid setting VPN: ca
:** (nm-connection-editor:3151): WARNING **: Invalid setting VPN: ca
:** (nm-connection-editor:3151): WARNING **: Invalid setting VPN: ca
:** (nm-connection-editor:3151): WARNING **: Invalid setting VPN: ca
:Gtk:ERROR:gtkrbtree.c:465:_gtk_rbtree_insert_after: assertion failed: (_gtk_rbtree_is_nil (tree->root))
:
Comment 1 Jerry James 2012-06-12 21:00:52 EDT
Created attachment 591309 [details]
File: backtrace
Comment 2 Jerry James 2012-06-12 21:00:53 EDT
Created attachment 591310 [details]
File: maps
Comment 3 Jerry James 2012-06-12 21:00:55 EDT
Created attachment 591311 [details]
File: dso_list
Comment 4 Jirka Klimes 2012-06-14 03:40:22 EDT
It looks like a bug in GTK to me.
Are you able to reproduce?

Btw, I *can* see .crt in supported certificate extensions. What authentication type did you choose? Would you mind attaching a screenshot?
Comment 5 Dan Winship 2012-06-14 06:40:58 EDT
I poked at this a little yesterday, and noticed that the dialog doesn't just filter by file extension, it actually checks the content of the files too. So if you have a ".crt" file that isn't a valid PEM-encoded certificate in one of the formats network-manager-openvpn recognizes, then it won't show up.
Comment 6 Jerry James 2012-06-14 12:34:53 EDT
I can't reproduce.  When I tried, I saw .crt in the completion list, it opened my certificate file successfully, and the VPN connection is now set up and functioning.  I don't know what happened that first time, but it wasn't letting me choose the same certificate file that is now in use.
Comment 7 Paul Howarth 2012-07-09 11:40:47 EDT
*** Bug 832422 has been marked as a duplicate of this bug. ***
Comment 8 100domicil 2012-09-29 16:39:30 EDT
I opened a torrent link from Firefox. It happened numerous time. No pattern that I can see.

backtrace_rating: 4
Package: transmission-gtk-2.50-3.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 9 alfred.sabitzer@ainet.at 2012-11-10 09:28:43 EST
Fresh installation of fedora 17 and rhythmbox (via graphical yum).
When trying to "import" my music-collection rhythmbox crashed (during scan of collection).


backtrace_rating: 4
Package: rhythmbox-2.97-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 10 Wolfgang Pirker 2012-11-27 15:00:39 EST
when submitting a similar bug via abrt, it showed that it might be a duplicate of this bug (831444).

https://bugzilla.redhat.com/show_bug.cgi?id=880791
Comment 11 James 2013-01-21 03:19:21 EST
This happens when trying to open a torrent, When another one has not been confirmed added.

*It has been happening since Fedora 15.
In the exact same way, With Transmission GTK+ and Firefox.

Not only will it then lose the recently added torrents but will load one I have not added in weeks, even months.
Comment 12 Fedora End Of Life 2013-07-03 20:24:17 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2013-08-01 00:04:36 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.